> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Lọc và tìm kiếm trái phiếu



## OpenAPI

````yaml /vi/openapi/fireant-v1.yaml post /bonds/filter
openapi: 3.1.0
info:
  version: v1
  title: FireAnt RESTFUL API
  description: Tài liệu đặc tả FireAnt RESTFUL API v1.0.0
servers:
  - url: https://api.fireant.vn
security: []
paths:
  /bonds/filter:
    post:
      tags:
        - Bond
      summary: Lọc và tìm kiếm trái phiếu
      operationId: Bond_FilterBonds
      requestBody:
        description: Tập hợp điều kiện lọc
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FireAnt.Api.Models.Bonds.BondFilterRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/FireAnt.Api.Models.Bonds.BondFilterRequest'
      responses:
        '200':
          description: Thành công
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FireAnt.Api.Models.Bonds.BondListItem'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FireAnt.Api.Models.Bonds.BondListItem'
        '400':
          description: Có lỗi khi thực hiện thao tác
components:
  schemas:
    FireAnt.Api.Models.Bonds.BondFilterRequest:
      type: object
      properties:
        bondTypeID:
          format: int32
          type: integer
        bondRateTypeID:
          format: int32
          type: integer
        currencyID:
          format: int32
          type: integer
        marketID:
          format: int32
          type: integer
        icbCode:
          type: string
        issueFormID:
          format: int32
          type: integer
        issueMethodID:
          format: int32
          type: integer
        statusID:
          format: int32
          type: integer
        issuerName:
          type: string
        issuerInstitutionID:
          format: int32
          type: integer
        issuerSymbol:
          type: string
        isListing:
          format: int32
          type: integer
        issueDateFrom:
          format: date-time
          type: string
        issueDateTo:
          format: date-time
          type: string
        maturityDateFrom:
          format: date-time
          type: string
        maturityDateTo:
          format: date-time
          type: string
        minBondRate:
          format: double
          type: number
        maxBondRate:
          format: double
          type: number
        minTenorMonths:
          format: int32
          type: integer
        maxTenorMonths:
          format: int32
          type: integer
        top:
          format: int32
          type: integer
        sortBy:
          format: int32
          type: integer
    FireAnt.Api.Models.Bonds.BondListItem:
      type: object
      properties:
        bondCode:
          type: string
        issuerName:
          type: string
        tenorPeriod:
          format: int32
          type: integer
        issueDate:
          format: date-time
          type: string
        maturityDate:
          format: date-time
          type: string
        bondRate:
          format: double
          type: number
        bondRateType:
          type: string
        currentListedVolume:
          format: double
          type: number
        status:
          type: string
        infoObj:
          $ref: '#/components/schemas/FireAnt.Api.Models.Bonds.BondInfoJson'
    FireAnt.Api.Models.Bonds.BondInfoJson:
      type: object
      properties:
        bondCode:
          type: string
        issuerInstitutionID:
          format: int32
          type: integer
        issuerSymbol:
          type: string
        issueICBCode:
          type: string
        icbNameLv1:
          type: string
        icbNameLv2:
          type: string
        icbNameLv3:
          type: string
        icbNameLv4:
          type: string

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.